RTEMS: bsps/arm/tms570/include/bsp/tms570_selftest_parity.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs | Functions | Variables
tms570_selftest_parity.h File Reference
Board Support Packages » ARM » TMS570

Check of module parity based protection logic to work. More...

`#include <stdint.h>`

Go to the source code of this file.

## Data Structures
struct | tms570_selftest_par_desc

## Macros
#define | TMS570_SELFTEST_PAR_CR_KEY 0xA

## Typedefs
typedef struct tms570_selftest_par_desc | tms570_selftest_par_desc_t
typedef void | tms570_selftest_par_fnc_t(const tms570_selftest_par_desc_t *desc)

## Functions
void | tms570_selftest_par_check_std (const tms570_selftest_par_desc_t *desc)
| run test to check that parity protection works for modules with common setup structure.
void | tms570_selftest_par_check_can (const tms570_selftest_par_desc_t *desc)
| run test to check that parity protection works for CAN modules RAM
void | tms570_selftest_par_check_mibspi (const tms570_selftest_par_desc_t *desc)
| run test to check that parity protection works for MibSPI modules RAM
void | tms570_selftest_par_run (const tms570_selftest_par_desc_t *const *desc_arr, int desc_cnt)
| run parity protection mechanism check for set of modules described by list.

## Variables
const tms570_selftest_par_desc_t | tms570_selftest_par_het1_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_htu1_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_het2_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_htu2_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_adc1_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_adc2_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_can1_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_can2_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_can3_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_vim_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_dma_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_spi1_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_spi3_desc
const tms570_selftest_par_desc_t | tms570_selftest_par_spi5_desc
const tms570_selftest_par_desc_t *const | tms570_selftest_par_list []
const int | tms570_selftest_par_list_size

## Detailed Description

Check of module parity based protection logic to work.

## Macro Definition Documentation

## ◆ TMS570_SELFTEST_PAR_CR_KEY

#define TMS570_SELFTEST_PAR_CR_KEY 0xA

The magic number used to switch most of the peripherals into parity protection test mode

## Function Documentation

## ◆ tms570_selftest_par_check_can()

void tms570_selftest_par_check_can | ( | const tms570_selftest_par_desc_t * | desc | ) |

run test to check that parity protection works for CAN modules RAM

Parameters

  [in] | desc | module registers addresses end ESM channels descriptor

Returns
  Void, in the case of error invokes bsp_selftest_fail_notification()

The descriptor provides address of the module registers and address of internal RAM memory and corresponding parity area test access window.

## ◆ tms570_selftest_par_check_mibspi()

void tms570_selftest_par_check_mibspi | ( | const tms570_selftest_par_desc_t * | desc | ) |

run test to check that parity protection works for MibSPI modules RAM

Parameters

  [in] | desc | module registers addresses end ESM channels descriptor

Returns
  Void, in the case of error invokes bsp_selftest_fail_notification()

The descriptor provides address of the module registers and address of internal RAM memory and corresponding parity area test access window.

## ◆ tms570_selftest_par_check_std()

void tms570_selftest_par_check_std | ( | const tms570_selftest_par_desc_t * | desc | ) |

run test to check that parity protection works for modules with common setup structure.

Parameters

  [in] | desc | module registers addresses end ESM channels descriptor

Returns
  Void, in the case of error invokes bsp_selftest_fail_notification()

The descriptor provides address of the module registers and address of internal RAM memory and corresponding parity area test access window. This test function is usable for HETx, HTUx, ADC, DMA and VIM TMS570 peripherals.

## ◆ tms570_selftest_par_run()

void tms570_selftest_par_run | ( | const tms570_selftest_par_desc_t *const * | desc_arr,
|  | int | desc_cnt
| ) |  |

run parity protection mechanism check for set of modules described by list.

Parameters

  [in] | desc_arr | array of pointers to descriptors providing addresses and ESM channels for individual peripherals.
  [in] | desc_cnt | count of pointers in the array

Returns
  Void, in the case of error invokes bsp_selftest_fail_notification()